TikTok LIVE Moderation

Sensitive Words

Manage sensitive words within the TikTok LIVE Moderation API. This section covers endpoints for working with sensitive words including retrieval, creation, and management operations.

Add sensitive word

POST/webcast/rooms/{room_id}/moderation/sensitive-words

Add a sensitive word to a TikTok LIVE room's filter list.

Path Parameters

room_id*string

Query Parameters

word*string
sec_anchor_id*string

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

200Ok

Response Attributes

code*number (double)
messagestring
responseobject
||
Request
Response200

Delete sensitive word

DEL/webcast/rooms/{room_id}/moderation/sensitive-words

Delete a sensitive word from a TikTok LIVE room's filter list.

Path Parameters

room_id*string

Query Parameters

word_id*string
sec_anchor_id*string

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

200Ok

Response Attributes

code*number (double)
messagestring
responseobject
||
Request
Response200

Get sensitive words

GET/webcast/rooms/{room_id}/moderation/sensitive-words

Retrieve the list of sensitive words for a TikTok LIVE room.

Path Parameters

room_id*string

Query Parameters

sec_anchor_id*string

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

200Ok

Response Attributes

code*number (double)
messagestring
responseobject
||
Request
Response200